import { Done } from '../../../../../Class/Functional/Done';
import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { Component_ } from '../../../../../types/interface/Component';
export type I = {
    component: Component_;
    opt: {};
    done: any;
};
export type O = {
    entry: {
        x: number;
        y: number;
    };
};
export default class PositionObserver__ extends Holder<I, O> {
    private _observer;
    constructor(system: System);
    f({ component }: I, done: Done<O>): Promise<void>;
    d(): void;
}
